classification
Title: Improve test coverage for 'heapq' module
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: Robert Day, rhettinger
Priority: normal Keywords:

Created on 2017-04-04 20:02 by Robert Day, last changed 2019-06-01 07:56 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 992 merged Robert Day, 2017-04-04 20:04
Messages (2)
msg291136 - (view) Author: Robert Day (Robert Day) * Date: 2017-04-04 20:02
It's currently at 97%:

Name           Stmts   Miss  Cover   Missing
--------------------------------------------
Lib/heapq.py     262      7    97%   187, 351-352, 375-376, 606-607

I'm submitting a Github PR to fix it.
msg344146 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-06-01 04:14
New changeset 664fe3996f7e05ae351526f02b21504bb065bcf8 by Raymond Hettinger (Rob Day) in branch 'master':
bpo-29984: Improve 'heapq' test coverage (GH-992)
https://github.com/python/cpython/commit/664fe3996f7e05ae351526f02b21504bb065bcf8
History
Date User Action Args
2019-06-01 07:56:56rhettingersetstatus: open -> closed
resolution: fixed
stage: resolved
2019-06-01 04:14:00rhettingersetmessages: + msg344146
2017-04-05 06:21:19rhettingersetassignee: rhettinger

nosy: + rhettinger
2017-04-04 20:04:37Robert Daysetpull_requests: + pull_request1165
2017-04-04 20:02:39Robert Daycreate